> ## Documentation Index
> Fetch the complete documentation index at: https://docs.turrisfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Health Check

> Verify the API is operational

Use this endpoint to verify that the Turris Public API is reachable and responding normally.


## OpenAPI

````yaml openapi/v1.json GET /v1/heartbeat
openapi: 3.0.0
info:
  title: Turris Public API
  description: API for managing insurance compliance data
  version: 1.0.0
  contact: {}
servers:
  - url: https://public.api.live.turrisfi.com
    description: Production
  - url: https://public.api.sandbox.turrisfi.com
    description: Sandbox
security: []
tags: []
paths:
  /v1/heartbeat:
    get:
      tags:
        - heartbeat
      operationId: HeartbeatController_heartbeat_v1
      parameters: []
      responses:
        '200':
          description: API health check response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/HeartbeatResponse'
                  requestId:
                    type: string
                    description: Unique request identifier
                    example: dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8
                  timestamp:
                    type: string
                    description: Response timestamp
                    example: '2025-11-12T20:49:03.293Z'
                required:
                  - data
                  - requestId
                  - timestamp
components:
  schemas:
    HeartbeatResponse:
      type: object
      properties:
        message:
          type: string
          description: Status message indicating the API is healthy
        statusCode:
          type: number
          description: HTTP status code
      required:
        - message
        - statusCode

````